package com.ruoyi.bst.driver.domain.enums;

import java.util.List;

import com.ruoyi.common.utils.collection.CollectionUtils;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DriverStatus {
    
    WAIT_VERIFY("1", "待认证"),
    SUCCESS("2", "认证通过"),
    FAILED("3", "认证失败");

    private final String code;
    private final String name;

    /**
     * 允许审核的驾驶证认证状态
     * @return
     */
    public static List<String> canVerify() {
        return CollectionUtils.map(DriverStatus::getCode, WAIT_VERIFY);
    }
    

}
